<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../style.css');
        @import url('../../../../roundedcorners.css');
        @import url('../../../../tree.css');
            </style>
    
    <script src="../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.2.3</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.2.3: org.apache.http.nio: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      1,600
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      0.75
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      221
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      1.33
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      0.42
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      19
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      19
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      1,600
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      0.75
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      221
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      1.33
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      0.42
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      19
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      19
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.nio</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
		<form action="nada" id="cloudDepthForm">
	   <input
		id="cloudDepthCheckbox"
		type="checkbox"
		checked="checked" name="sub-packages" onclick="showDeepPackageCloud(this.checked)"/>
		<label for="cloudDepthCheckbox">Include classes from sub-packages</label>
	</form>
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="../nio/protocol/AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 46 , # Elements Untested - 5 ">AbstractAsyncRequestConsumer</a>
   
	 	 
	       <a href="../nio/protocol/AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 51 , # Elements Untested - 1 ">AbstractAsyncResponseConsumer</a>
   
	 	 
	       <a href="../nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool" class="tag"
	  style="font-size: 40px;color:#3405ca"
	  title="# Elements - 401 , # Elements Untested - 35 ">AbstractNIOConnPool</a>
   
	 	 
	       <a href="../nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool.InternalSessionRequestCallback" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 6 ">AbstractNIOConnPool.InternalSessionRequestCallback</a>
   
	 	 
	       <a href="../nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler" class="tag"
	  style="font-size: 27px;color:#80057e"
	  title="# Elements - 245 , # Elements Untested - 83 ">AsyncNHttpClientHandler</a>
   
	 	 
	       <a href="../nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 2 ">AsyncNHttpClientHandler.ClientConnState</a>
   
	 	 
	       <a href="../nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler" class="tag"
	  style="font-size: 31px;color:#990565"
	  title="# Elements - 295 , # Elements Untested - 98 ">AsyncNHttpServiceHandler</a>
   
	 	 
	       <a href="../nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 32 , # Elements Untested - 14 ">AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
   
	 	 
	       <a href="../nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 61 , # Elements Untested - 10 ">AsyncNHttpServiceHandler.ServerConnState</a>
   
	 	 
	       <a href="../nio/protocol/BasicAsyncRequestConsumer.html#BasicAsyncRequestConsumer" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 27 , # Elements Untested - 4 ">BasicAsyncRequestConsumer</a>
   
	 	 
	       <a href="../nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="# Elements - 110 , # Elements Untested - 1 ">BasicAsyncRequestExecutionHandler</a>
   
	 	 
	       <a href="../nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 69 , # Elements Untested - 9 ">BasicAsyncRequestProducer</a>
   
	 	 
	       <a href="../nio/protocol/BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 27 , # Elements Untested - 4 ">BasicAsyncResponseConsumer</a>
   
	 	 
	       <a href="../nio/protocol/BasicAsyncResponseProducer.html#BasicAsyncResponseProducer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 47 , # Elements Untested - 7 ">BasicAsyncResponseProducer</a>
   
	 	 
	       <a href="../nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 24 , # Elements Untested - 24 ">BufferingHttpClientHandler</a>
   
	 	 
	       <a href="../nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler.ExecutionHandlerAdaptor" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 13 , # Elements Untested - 13 ">BufferingHttpClientHandler.ExecutionHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 30 , # Elements Untested - 10 ">BufferingHttpServiceHandler</a>
   
	 	 
	       <a href="../nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">BufferingHttpServiceHandler.RequestHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</a>
   
	 	 
	       <a href="../nio/entity/BufferingNHttpEntity.html#BufferingNHttpEntity" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 39 , # Elements Untested - 21 ">BufferingNHttpEntity</a>
   
	 	 
	       <a href="../nio/entity/ConsumingNHttpEntityTemplate.html#ConsumingNHttpEntityTemplate" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 17 , # Elements Untested - 17 ">ConsumingNHttpEntityTemplate</a>
   
	 	 
	       <a href="../nio/entity/ContentBufferEntity.html#ContentBufferEntity" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 16 , # Elements Untested - 6 ">ContentBufferEntity</a>
   
	 	 
	       <a href="../nio/entity/ContentInputStream.html#ContentInputStream" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 29 , # Elements Untested - 8 ">ContentInputStream</a>
   
	 	 
	       <a href="../nio/entity/ContentOutputStream.html#ContentOutputStream" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 20 , # Elements Untested - 6 ">ContentOutputStream</a>
   
	 	 
	       <a href="../nio/entity/EntityAsyncContentProducer.html#EntityAsyncContentProducer" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 32 , # Elements Untested - 26 ">EntityAsyncContentProducer</a>
   
	 	 
	       <a href="../nio/protocol/ErrorResponseProducer.html#ErrorResponseProducer" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 1 ">ErrorResponseProducer</a>
   
	 	 
	       <a href="../nio/util/ExpandableBuffer.html#ExpandableBuffer" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 75 , # Elements Untested - 23 ">ExpandableBuffer</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor" class="tag"
	  style="font-size: 27px;color:#0205fc"
	  title="# Elements - 239 , # Elements Untested - 11 ">HttpAsyncRequestExecutor</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 55 , # Elements Untested - 1 ">HttpAsyncRequestExecutor.State</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncRequestHandlerRegistry.html#HttpAsyncRequestHandlerRegistry" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 6 ">HttpAsyncRequestHandlerRegistry</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 65 , # Elements Untested - 2 ">HttpAsyncRequester</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 35 , # Elements Untested - 2 ">HttpAsyncRequester.ConnRequestCallback</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncService.html#HttpAsyncService" class="tag"
	  style="font-size: 36px;color:#1b05e3"
	  title="# Elements - 350 , # Elements Untested - 20 ">HttpAsyncService</a>
   
	 	 
	       <a href="../nio/protocol/HttpAsyncService.html#HttpAsyncService.Exchange" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 11 ">HttpAsyncService.Exchange</a>
   
	 	 
	       <a href="../nio/reactor/IOReactorException.html#IOReactorException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 3 ">IOReactorException</a>
   
	 	 
	       <a href="../nio/entity/NByteArrayEntity.html#NByteArrayEntity" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="# Elements - 65 , # Elements Untested - 35 ">NByteArrayEntity</a>
   
	 	 
	       <a href="../nio/entity/NFileEntity.html#NFileEntity" class="tag"
	  style="font-size: 15px;color:#80057e"
	  title="# Elements - 83 , # Elements Untested - 83 ">NFileEntity</a>
   
	 	 
	       <a href="../nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 26 , # Elements Untested - 26 ">NHttpEntityWrapper</a>
   
	 	 
	       <a href="../nio/protocol/NHttpHandlerBase.html#NHttpHandlerBase" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="# Elements - 56 , # Elements Untested - 33 ">NHttpHandlerBase</a>
   
	 	 
	       <a href="../nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">NHttpRequestHandlerRegistry</a>
   
	 	 
	       <a href="../nio/params/NIOReactorParamBean.html#NIOReactorParamBean" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 6 , # Elements Untested - 6 ">NIOReactorParamBean</a>
   
	 	 
	       <a href="../nio/params/NIOReactorParams.html#NIOReactorParams" class="tag"
	  style="font-size: 12px;color:#4d05b1"
	  title="# Elements - 50 , # Elements Untested - 50 ">NIOReactorParams</a>
   
	 	 
	       <a href="../nio/entity/NStringEntity.html#NStringEntity" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 53 , # Elements Untested - 17 ">NStringEntity</a>
   
	 	 
	       <a href="../nio/protocol/NullNHttpEntity.html#NullNHttpEntity" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 19 , # Elements Untested - 8 ">NullNHttpEntity</a>
   
	 	 
	       <a href="../nio/protocol/NullRequestConsumer.html#NullRequestConsumer" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 23 , # Elements Untested - 11 ">NullRequestConsumer</a>
   
	 	 
	       <a href="../nio/pool/RouteSpecificPool.html#RouteSpecificPool" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="# Elements - 124 , # Elements Untested - 2 ">RouteSpecificPool</a>
   
	 	 
	       <a href="../nio/reactor/ssl/SSLIOSession.html#SSLIOSession" class="tag"
	  style="font-size: 35px;color:#b2054c"
	  title="# Elements - 346 , # Elements Untested - 104 ">SSLIOSession</a>
   
	 	 
	       <a href="../nio/reactor/ssl/SSLIOSession.html#SSLIOSession.InternalByteChannel" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 4 ">SSLIOSession.InternalByteChannel</a>
   
	 	 
	       <a href="../nio/util/SharedInputBuffer.html#SharedInputBuffer" class="tag"
	  style="font-size: 21px;color:#660598"
	  title="# Elements - 166 , # Elements Untested - 68 ">SharedInputBuffer</a>
   
	 	 
	       <a href="../nio/util/SharedOutputBuffer.html#SharedOutputBuffer" class="tag"
	  style="font-size: 20px;color:#4d05b1"
	  title="# Elements - 155 , # Elements Untested - 57 ">SharedOutputBuffer</a>
   
	 	 
	       <a href="../nio/util/SimpleInputBuffer.html#SimpleInputBuffer" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 64 , # Elements Untested - 2 ">SimpleInputBuffer</a>
   
	 	 
	       <a href="../nio/util/SimpleOutputBuffer.html#SimpleOutputBuffer" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 49 , # Elements Untested - 16 ">SimpleOutputBuffer</a>
   
	 	 
	       <a href="../nio/entity/SkipContentListener.html#SkipContentListener" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 15 , # Elements Untested - 15 ">SkipContentListener</a>
   
	 	 
	       <a href="../nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler" class="tag"
	  style="font-size: 32px;color:#b2054c"
	  title="# Elements - 308 , # Elements Untested - 107 ">ThrottlingHttpClientHandler</a>
   
	 	 
	       <a href="../nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 52 , # Elements Untested - 5 ">ThrottlingHttpClientHandler.ClientConnState</a>
   
	 	 
	       <a href="../nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler" class="tag"
	  style="font-size: 36px;color:#e4051a"
	  title="# Elements - 352 , # Elements Untested - 133 ">ThrottlingHttpServiceHandler</a>
   
	 	 
	       <a href="../nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 9 ">ThrottlingHttpServiceHandler.ServerConnState</a>
      </div>
   
      <div id="shallowPackageCloud"  style="display: none"  >
         </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
